New Search

scanf.c in PHP 5.1.4 and earlier and 4.4.3 and earlier allows context-dependent attackers to execute arbitrary code via a sscanf PHP function call that performs argument swapping which increments an index past the end of an array and triggers a buffer over-read.

oval:org.mitre.oval:def:11062

scanf.c in PHP 5.1.4 and earlier and 4.4.3 and earlier allows context-dependent attackers to execute arbitrary code via a sscanf PHP function call that performs argument swapping which increments an index past the end of an array and triggers a buffer over-read.

Family:
unix
Status:
ACCEPTED
Platform(s):
  • CentOS Linux 4
  • CentOS Linux 3
  • Oracle Linux 4
  • Red Hat Enterprise Linux 4
  • Red Hat Enterprise Linux 3
Class:
vulnerability
Reference(s):
  • CVE-2006-4020
Product(s):